Missing these required gems: will_paginate

Hi EveryBody,

I hope some one help me.

I am new on ROR so might be problem is silly or Obvious. i had
developed a project and i had use “WILL_PAGINATE” plugin in my app.
It’s working well at localhost.

But when deploying on HEROKU, ALL step is going well but when running

$heroku rake db:migrate

ERROR IS

Missing these required gems:
will_paginate

You're running:
  ruby 1.8.6.253 at /usr/local/bin/ruby
  rubygems 1.3.7 at /app/bundle/gems/ruby/1.8,  /app/.bundle/gems,

/app/gems, /usr/ruby1.8.7/lib/ruby/gems/1.8

Run rake gems:install to install the missing gems.
(in /app)

MY environment.rb file is like that

Be sure to restart your server when you modify this file

Specifies gem version of Rails to use when vendor/rails is not present

RAILS_GEM_VERSION = ‘2.3.8’ unless defined? RAILS_GEM_VERSION

Bootstrap the Rails environment, frameworks, and default configuration

require File.join(File.dirname(FILE), ‘boot’)

Rails::Initializer.run do |config|

config.gem ‘will_paginate’

Settings in config/environments/* take precedence over those

specified here.

Application configuration should go into files in

config/initializers

– all .rb files in that directory are automatically loaded.

Add additional load paths for your own custom dirs

config.load_paths += %W( #{RAILS_ROOT}/extras )

Specify gems that this application depends on and have them

installed with rake gems:install

config.gem “bj”

config.gem “hpricot”, :version => ‘0.6’, :source =>

http://code.whytheluckystiff.net

config.gem “sqlite3-ruby”, :lib => “sqlite3”

config.gem “aws-s3”, :lib => “aws/s3”

Only load the plugins named here, in the order given (default is

alphabetical).

:all can be used as a placeholder for all plugins not explicitly

named

config.plugins = [ :exception_notification, :ssl_requirement, :all ]

Skip frameworks you’re not going to use. To use Rails without a

database,

you must remove the Active Record framework.

config.frameworks -= [ :active_record, :active_resource,

:action_mailer ]

Activate observers that should always be running

config.active_record.observers = :cacher, :garbage_collector,

:forum_observer

Set Time.zone default to the specified zone and make Active Record

auto-convert to this zone.

Run “rake -D time” for a list of tasks for finding time zone names.

config.time_zone = ‘UTC’

The default locale is :en and all translations from

config/locales/*.rb,yml are auto loaded.

config.i18n.load_path += Dir[Rails.root.join(‘my’, ‘locales’,

‘*.{rb,yml}’)]

config.i18n.default_locale = :de

end

I google lot’s but d’t find sol.
Please help me.

thanks

On Wed, Jun 1, 2011 at 6:09 PM, Pravin M. <
[email protected]> wrote:

$heroku rake db:migrate

ERROR IS

Missing these required gems:
will_paginate

In heroku, you manage your gems by using gem manifests files. Read them
on the heroku docu. http://devcenter.heroku.com/articles/gemmanifest

Be sure to restart your server when you modify this file

config.gem “bj”

Skip frameworks you’re not going to use. To use Rails without a

auto-convert to this zone.

To unsubscribe from this group, send email to
[email protected]
For more options, visit this group at
http://groups.google.com/group/rubyonrails-talk?hl=en.

On Wed, Jun 1, 2011 at 6:13 PM, Jim Ruther N. [email protected]
wrote:

developed a project and i had use “WILL_PAGINATE” plugin in my app.

In heroku, you manage your gems by using gem manifests files. Read them
on the heroku docu. http://devcenter.heroku.com/articles/gemmanifest

The documentation also shows that you can also use bundler, which is the
standard
way to handle gem dependencies.
http://devcenter.heroku.com/articles/bundler

Be sure to restart your server when you modify this file

config.gem “bj”

Skip frameworks you’re not going to use. To use Rails without a

auto-convert to this zone.

To unsubscribe from this group, send email to

Hi Jim Ruther N.,

thanks for write back,
I have solved that problem. But after deploy , when running project
getting “APPLICATION ERROR”.

http://radiationn.heroku.com/

what problem is going on ???

On Wed, Jun 1, 2011 at 6:47 AM, Pravin M.
[email protected] wrote:

I have solved that problem. But after deploy , when running project
getting “APPLICATION ERROR”.

what problem is going on ???

That’s up to you to figure out; looking at the log might be a good place
to start :slight_smile:


Hassan S. ------------------------ [email protected]
http://about.me/hassanschroeder
twitter: @hassan

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs